<script setup lang="ts">
import {
  mdiAccountGroup,
  mdiPlusCircleOutline,
  mdiQrcodePlus,
  mdiSwapHorizontal,
  mdiReceiptTextCheckOutline,
} from "@mdi/js";
import { useTableStore } from "@/stores/Table/tables";
import QRCodeDialog from "./QRCodeDialog.vue";
import { onMounted } from "vue";

const tableStore = useTableStore();

onMounted(async () => {
  await tableStore.getTables();
});

const changeTable = () => {
  tableStore.changeTableDialog = true;
};
const openQRCode = () => {
  tableStore.qrCodeDialog = true;
  tableStore.editedTable.status = "Unavailable";
  tableStore.saveTable();
};
</script>

<template>
  <v-container grid-list-xs>
    <!-- <v-btn @click="tableStore.dialog = true">Aeyyy</v-btn> -->
    <v-row>
      <v-col cols="6">
        <v-container style="height: 100vh; overflow-y: scroll">
          <v-row>
            <v-col
              cols="12"
              md="4"
              v-for="item of tableStore.tables"
              :key="item.id"
            >
              <v-card
                height="150px"
                :color="
                  item.status == 'Available'
                    ? '#9AEC7E'
                    : item.status == 'Unavailable'
                    ? '#FA391E'
                    : item.status == 'Cleaning'
                    ? '#F4C446'
                    : ''
                "
              >
                <v-row justify="center">
                  <v-card-title class="text-h3 pl-12 pt-12 pr-12 pb-8"
                    >โต๊ะ {{ item.number }}</v-card-title
                  >
                </v-row>
                <v-row justify="center">
                  <v-card-actions>
                    <v-btn
                      @click="
                        tableStore.editTable(item), tableStore.showButton()
                      "
                    >
                      <v-icon class="mr-4" :icon="mdiAccountGroup"></v-icon>
                      <span class="subheading">{{ item.seats }}</span>
                    </v-btn>
                  </v-card-actions>
                </v-row>
              </v-card>
            </v-col>
          </v-row>
        </v-container>
      </v-col>
      <v-col cols="6">
        <v-container>
          <v-row>
            <v-card
              height="150px"
              width="100%"
              justify-center
              :color="
                tableStore.editedTable.status == 'Available'
                  ? '#9AEC7E'
                  : tableStore.editedTable.status == 'Unavailable'
                  ? '#FA391E'
                  : tableStore.editedTable.status == 'Cleaning'
                  ? '#F4C446'
                  : '#F7E9C5'
              "
            >
              <v-row justify="start">
                <v-card-title class="text-h5 pa-6"
                  >หมายเลขโต๊ะ :
                  {{ tableStore.editedTable.number }}</v-card-title
                >
              </v-row>
              <v-row justify="start">
                <span class="subheading pl-7"
                  >จำนวนที่นั่งได้ : {{ tableStore.editedTable.seats }}</span
                >
              </v-row>
              <v-row justify="start">
                <span class="subheading pl-7"
                  >สถานะ : {{ tableStore.editedTable.status }}</span
                >
              </v-row>
            </v-card>
          </v-row>
          <v-row justify="center" class="pt-12">
            <div v-show="tableStore.canOpen">
              <v-btn
                style="width: 500px"
                class="text-h6"
                :prepend-icon="mdiPlusCircleOutline"
                @click="openQRCode()"
                >เปิดโต๊ะ</v-btn
              >
              <!-- <v-btn
              style="width: 500px"
              class="text-h6"
              :prepend-icon="mdiPlusCircleOutline"
              @click="showButton"
              >เปิดโต๊ะ</v-btn
            > -->
            </div>
          </v-row>
          <!-- <v-row justify="center" class="pt-12">
            <div v-show="tableStore.showButton">
              <v-btn
                style="width: 500px"
                class="text-h6"
                :prepend-icon="mdiQrcodePlus"
                @click="openQRCode"
                >QR Code</v-btn
              >
            </div>
          </v-row> -->
          <!-- <v-row justify="center" class="pt-12">
            <div v-show="tableStore.canMove">
              <v-btn
                style="width: 500px"
                class="text-h6"
                :prepend-icon="mdiSwapHorizontal"
                @click="changeTable"
                >ย้ายโต๊ะ</v-btn
              >
            </div>
          </v-row> -->
          <v-row justify="center" class="pt-12">
            <div v-show="tableStore.canCheckbill">
              <v-btn
                style="width: 500px"
                class="text-h6"
                :prepend-icon="mdiReceiptTextCheckOutline"
                to="/check-bill"
                >เช็กบิล</v-btn
              >
            </div>
          </v-row>
          <!-- <TableDialog></TableDialog> -->
          <QRCodeDialog></QRCodeDialog>
        </v-container>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
/* width */
::-webkit-scrollbar {
  width: 4px;
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #746c6c;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(218, 215, 215);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #e93f3f;
}
</style>
